Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82917 - RFE: add printer configuration to firstboot
Summary: RFE: add printer configuration to firstboot
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: firstboot
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-28 14:41 UTC by Gene Czarcinski
Modified: 2007-11-30 22:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-12-02 19:38:26 UTC


Attachments (Terms of Use)

Description Gene Czarcinski 2003-01-28 14:41:45 UTC
Description of problem:
It would be handy to include printer configuration during firstboot.  Many
(most?) systems have a printer which needs to be configured.

Comment 1 Gene Czarcinski 2003-10-27 19:16:01 UTC
still valid RFE

Comment 2 Tim Waugh 2004-10-12 09:38:40 UTC
It ought to be that most printers can be automatically configured:
certainly this should be true for local printers, and remote IPP
printers can be browsed for automatically.

Comment 3 Chris Lumens 2005-09-23 16:56:38 UTC
This would require setting up something like system-config-printer to be a
firstboot module.  Reassigning.

Comment 4 Tim Waugh 2005-09-23 20:57:10 UTC
I thought we were aiming for zero user intervention for setting up printers. 
Are we moving away from that goal?

Comment 5 Chris Lumens 2005-12-02 19:38:26 UTC
Printer configuration should be happening automatically.  Local printers should
be detected by HAL, while remote printers should be handled by IPP.  If
something is not working, this is a bug in another component.


Note You need to log in before you can comment on or make changes to this bug.